import React from "react";
import { useNavigate, useParams } from "react-router-dom";

export function AuthGuard({ component: Component, ...props }) {
  const isLogged = localStorage.getItem("isLogged");
  const navigate = useNavigate();

  if (!isLogged) {
    // Redirect to the home page if the user is not logged in
    navigate("/");
    return null; // You can return null or another component if needed
  }

  return <Component {...props} />;
}
