import { useState } from "react";
import Button from "../../Base/button";
import Input from "../../Base/input";
import Layout from "../../Base/layout";
import { toast } from "react-toastify";
import styles from "./login.module.css";
function Login({ onSubmit }) {
  const [mobile, setMobile] = useState("");
  const [iserror, setIsError] = useState(false);
  const handleSubmit = (e) => {
    e.preventDefault();
    console.log("mobile", mobile.length);
    if (mobile.length < 10) {
      setIsError(true);

      toast.info("mobile should be 10 digits");
    } else {
      onSubmit({ mobile });
      setMobile("");
      setIsError(false);
    }
  };
  const handleChange = (e) => {
    setMobile(e.target.value);
  };

  return (
    <Layout title="Login">
      <form className="form" onSubmit={handleSubmit}>
        <div>
          <label className="label">Mobile:</label>
          <Input
            placeholder="Enter Mobile"
            type="tel"
            required
            maxLength={10}
            onChange={handleChange}
          />
          {iserror && <span>Please enter 10 digits</span>}
        </div>
        <Button>Submit</Button>
      </form>
    </Layout>
  );
}

export default Login;
