import { useState } from "react";
import styles from "./seat.module.css";

function Seat({ onChange, status, seatNo }) {
  const [show, setShow] = useState(false);
  const handleCheckbox = () => {
    if (status == "available" || status == "selected") {
      onChange({
        id: 1,
        status: status == "available" ? "selected" : "available",
      });
    }
  };

  return (
    <input
      type="checkbox"
      onChange={handleCheckbox}
      className={` ${
        status == "selected"
          ? styles["checkbox-selected"]
          : status == "reserved"
          ? styles["checkbox-reserved"]
          : styles["checkbox-available"]
      }`}
      title={seatNo}
      onMouseEnter={() => setShow(true)}
      onMouseLeave={() => setShow(false)}
    />
  );
}

export default Seat;
