import { toast } from "react-toastify";
const BASE_URL = "http://192.168.1.91:5000";

export async function LoginOrRegister({ mobile }) {
  try {
    // Attempt to fetch user data
    const response = await fetch(
      `http://192.168.1.91:5000/users?mobile=${mobile}`
    );
    const result = await response.json();

    if (!result.length) {
      // User not found, register
      const user = await fetch(`${BASE_URL}/users`, {
        method: "POST",
        headers: { "Content-Type": "application/json" },
        body: JSON.stringify({ mobile }),
      });

      return await user.json();
    } else {
      // User data found, return JSON
      return result?.[0];
    }
  } catch (err) {
    toast.error(err.message);
  }
}

export async function AddOrUpdateSeats({ id, seats }) {
  try {
    const userSeat = await fetch(
      `http://192.168.1.91:5000/reservedSeats/${id}`
    );
    const result = await userSeat.json();
    console.log("oidufuf", result);
    if (!Object.keys(result).length) {
      //add seat
      const response = await fetch(BASE_URL + "/reservedSeats", {
        method: "POST",
        headers: { "Content-Type": "application/json" },
        body: JSON.stringify({ id, seats }),
      });
      const res = await response.json();
      return {
        response: res,
        isAddSeat: true,
      };
    } else {
      //update
      console.log("patch");
      const response = await fetch(
        `http://192.168.1.91:5000/reservedSeats/${id}`,
        {
          method: "PUT",
          headers: { "Content-Type": "application/json" },
          body: JSON.stringify({ seats }),
        }
      );
      const res = await response.json();

      return {
        response: res,
        isAddSeat: false,
      };
    }
  } catch (err) {
    toast.error(err.message);
  }
}

export async function GetAllSeats() {
  try {
    const response = await fetch(BASE_URL + "/reservedSeats");
    return await response.json();
  } catch (err) {
    toast.error(err.message);
  }
}
